cURL
curl --request POST \ --url https://api.enkryptai.com/guardrails/guardrail/scan-url \ --header 'Content-Type: application/json' \ --header 'X-Enkrypt-Guardrail: <x-enkrypt-guardrail>' \ --header 'X-Enkrypt-Mode: <x-enkrypt-mode>' \ --header 'apikey: <api-key>' \ --data ' { "url": "<string>" } '
{ "summary": {}, "details": { "url": "<string>", "metadata": { "title": "<string>", "description": "<string>", "language": "<string>" }, "total_fragments": 123, "fragments_with_detections": 123, "detections": [ { "unsafe_content": "<string>", "chunk_type": "<string>", "triggered_detectors": [ "<string>" ], "detector_details": {} } ], "combined_highlight_url": "<string>" } }
Scan a URL for security threats using a saved guardrail
The guardrail name
"My Guardrail"
Whether to apply input (prompt) or output (response) detectors
prompt
response
"prompt"
The URL to scan and analyze.
Scan results for the provided URL using the specified guardrail.
Summary counts of detections by detector type.
Show child attributes
Detailed scan results including URL metadata and fragment-level information.